2019-06-25 03:28 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002058NetSurf[All Projects] Generalpublic2015-03-10 10:41
ReporterChris Young 
Assigned ToMichael Drake 
SeverityminorReproducibilityhave not tried 
StatusclosedResolutionfixed 
PlatformAmigaOSAmigaOSOS Version4.1
Product Version3.0 
Target Version3.1Fixed in Version3.1 
Summary0002058: Select forms behaving oddly
DescriptionSelect forms are behaving oddly. It appears as if the selected option is not always being submitted as it should be.
Steps To ReproduceThere is a test page here:
http://www.unsatisfactorysoftware.co.uk/netsurf/test.php

On the top form, leaving Option A selected and then submitting does not post this to the page. Option B appears to work fine.

In the second form (with B as the default), selecting Option A posts both A and B to the page.
TagsNo tags attached.
Fixed in CI build #1646
Reported in CI build #1629
URL of problem pagehttp://www.unsatisfactorysoftware.co.uk/netsurf/test.php
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000166

Vincent Sanders (administrator)

Michael Drake fixed the deselect on new selection behaviour in the core code which fixed this issue in master branch.
Michael Drake

~0000171

Michael Drake (administrator)

Issue with top form fixed now too.
Vincent Sanders

~0000672

Vincent Sanders (administrator)

Confirmed fixed in 3.1 release
+Notes

-Issue History
Date Modified Username Field Change
2014-01-19 17:04 Chris Young New Issue
2014-01-21 15:09 Michael Drake Assigned To => Michael Drake
2014-01-21 15:09 Michael Drake Status new => resolved
2014-01-21 15:09 Michael Drake Resolution open => fixed
2014-01-21 15:09 Michael Drake Fixed in Version => 3.1
2014-01-22 08:54 Vincent Sanders Fixed in CI build # => 1635
2014-01-22 08:54 Vincent Sanders Note Added: 0000166
2014-01-22 08:54 Vincent Sanders Steps to Reproduce Updated View Revisions
2014-01-24 17:37 Michael Drake Fixed in CI build # 1635 => 1646
2014-01-24 17:37 Michael Drake Note Added: 0000171
2015-03-10 10:41 Vincent Sanders Note Added: 0000672
2015-03-10 10:41 Vincent Sanders Status resolved => closed
+Issue History